package meerkat.bulletinboard;

import com.google.protobuf.Message;

/**
 * Created by Arbel Deutsch Peled on 09-Dec-15.
 *
 * This class contains the end status and result of a Bulletin Board Client Job.
 */
public final class BulletinClientJobResult {

    private final BulletinClientJob job;    // Stores the job the result refers to

    private final Message result;           // The result of the job; valid only if success==true

    public BulletinClientJobResult(BulletinClientJob job, Message result) {
        this.job = job;
        this.result = result;
    }

    public BulletinClientJob getJob() {
        return job;
    }

    public Message getResult() {
        return result;
    }

}
